OGRE: Ogre::Radian Class Reference - OGRE Documentation

# Ogre::Radian Class Reference

Wrapper class which indicates a given angle value is in Radians. More...

`#include <OgreMath.h>`

List of all members.

## Public Member Functions
| Radian (Real r=0)
| Radian (const Degree &d)
Radian & | operator= (const Real &f)
Radian & | operator= (const Radian &r)
Radian & | operator= (const Degree &d)
Real | valueDegrees () const
Real | valueRadians () const
Real | valueAngleUnits () const
const Radian & | operator+ () const
Radian | operator+ (const Radian &r) const
Radian | operator+ (const Degree &d) const
Radian & | operator+= (const Radian &r)
Radian & | operator+= (const Degree &d)
Radian | operator- () const
Radian | operator- (const Radian &r) const
Radian | operator- (const Degree &d) const
Radian & | operator-= (const Radian &r)
Radian & | operator-= (const Degree &d)
Radian | operator* (Real f) const
Radian | operator* (const Radian &f) const
Radian & | operator*= (Real f)
Radian | operator/ (Real f) const
Radian & | operator/= (Real f)
bool | operator< (const Radian &r) const
bool | operator<= (const Radian &r) const
bool | operator== (const Radian &r) const
bool | operator!= (const Radian &r) const
bool | operator>= (const Radian &r) const
bool | operator> (const Radian &r) const
## Private Attributes
Real | mRad
## Friends
_OgreExport friend std::ostream & | operator<< (std::ostream &o, const Radian &v)

## Detailed Description

Wrapper class which indicates a given angle value is in Radians.

Remarks:
  Radian values are interchangeable with Degree values, and conversions will be done automatically between them.

Definition at line 41 of file OgreMath.h.

## Constructor & Destructor Documentation

Ogre::Radian::Radian | ( | Real | r = `0` | ) | `[explicit]`

Definition at line 46 of file OgreMath.h.

Referenced by Ogre::Math::Abs(), Ogre::Math::ATan(), Ogre::Math::ATan2(), operator*(), operator+(), operator-(), operator/(), Ogre::Math::Sign(), and Ogre::Math::Sqrt().

Ogre::Radian::Radian | ( | const Degree & | d | ) |

Definition at line 155 of file OgreMath.h.

## Member Function Documentation

Radian& Ogre::Radian::operator= | ( | const Real & | f | ) |

Definition at line 48 of file OgreMath.h.

References mRad.

Radian& Ogre::Radian::operator= | ( | const Radian & | r | ) |

Definition at line 49 of file OgreMath.h.

References mRad.

Radian & Ogre::Radian::operator= | ( | const Degree & | d | ) |

Definition at line 157 of file OgreMath.h.

References mRad, and Ogre::Degree::valueRadians().

Real Ogre::Radian::valueDegrees | ( |  | ) | const

Definition at line 585 of file OgreMath.h.

References mRad, and Ogre::Math::RadiansToDegrees().

Referenced by Ogre::Degree::operator+(), Ogre::Degree::operator+=(), Ogre::Degree::operator-(), Ogre::Degree::operator-=(), and Ogre::Degree::operator=().

Real Ogre::Radian::valueRadians | ( |  | ) | const

Definition at line 53 of file OgreMath.h.

References mRad.

Referenced by Ogre::Math::Abs(), Ogre::Math::Cos(), Ogre::Vector3::directionEquals(), Ogre::operator*(), Ogre::operator/(), Ogre::AnimableValue::setAsBaseValue(), Ogre::Math::Sign(), Ogre::Math::Sin(), Ogre::Math::Sqrt(), and Ogre::Math::Tan().

Real Ogre::Radian::valueAngleUnits | ( |  | ) | const

Definition at line 590 of file OgreMath.h.

References mRad, and Ogre::Math::RadiansToAngleUnits().

Referenced by Ogre::StringConverter::toString().

const Radian& Ogre::Radian::operator+ | ( |  | ) | const

Definition at line 56 of file OgreMath.h.

Radian Ogre::Radian::operator+ | ( | const Radian & | r | ) | const

Definition at line 57 of file OgreMath.h.

References mRad, and Radian().

Radian Ogre::Radian::operator+ | ( | const Degree & | d | ) | const

Definition at line 160 of file OgreMath.h.

References mRad, Radian(), and Ogre::Degree::valueRadians().

Radian& Ogre::Radian::operator+= | ( | const Radian & | r | ) |

Definition at line 59 of file OgreMath.h.

References mRad.

Radian & Ogre::Radian::operator+= | ( | const Degree & | d | ) |

Definition at line 163 of file OgreMath.h.

References mRad, and Ogre::Degree::valueRadians().

Radian Ogre::Radian::operator- | ( |  | ) | const

Definition at line 61 of file OgreMath.h.

References mRad, and Radian().

Radian Ogre::Radian::operator- | ( | const Radian & | r | ) | const

Definition at line 62 of file OgreMath.h.

References mRad, and Radian().

Radian Ogre::Radian::operator- | ( | const Degree & | d | ) | const

Definition at line 167 of file OgreMath.h.

References mRad, Radian(), and Ogre::Degree::valueRadians().

Radian& Ogre::Radian::operator-= | ( | const Radian & | r | ) |

Definition at line 64 of file OgreMath.h.

References mRad.

Radian & Ogre::Radian::operator-= | ( | const Degree & | d | ) |

Definition at line 170 of file OgreMath.h.

References mRad, and Ogre::Degree::valueRadians().

Radian Ogre::Radian::operator* | ( | Real | f | ) | const

Definition at line 66 of file OgreMath.h.

References mRad, and Radian().

Radian Ogre::Radian::operator* | ( | const Radian & | f | ) | const

Definition at line 67 of file OgreMath.h.

References mRad, and Radian().

Radian& Ogre::Radian::operator*= | ( | Real | f | ) |

Definition at line 68 of file OgreMath.h.

References mRad.

Radian Ogre::Radian::operator/ | ( | Real | f | ) | const

Definition at line 69 of file OgreMath.h.

References mRad, and Radian().

Radian& Ogre::Radian::operator/= | ( | Real | f | ) |

Definition at line 70 of file OgreMath.h.

References mRad.

bool Ogre::Radian::operator< | ( | const Radian & | r | ) | const

Definition at line 72 of file OgreMath.h.

References mRad.

bool Ogre::Radian::operator<= | ( | const Radian & | r | ) | const

Definition at line 73 of file OgreMath.h.

References mRad.

bool Ogre::Radian::operator== | ( | const Radian & | r | ) | const

Definition at line 74 of file OgreMath.h.

References mRad.

bool Ogre::Radian::operator!= | ( | const Radian & | r | ) | const

Definition at line 75 of file OgreMath.h.

References mRad.

bool Ogre::Radian::operator>= | ( | const Radian & | r | ) | const

Definition at line 76 of file OgreMath.h.

References mRad.

bool Ogre::Radian::operator> | ( | const Radian & | r | ) | const

Definition at line 77 of file OgreMath.h.

References mRad.

## Friends And Related Function Documentation

_OgreExport friend std::ostream& operator<< | ( | std::ostream & | o,
|  | const Radian & | v |
| ) |  |  | `[friend]`

Definition at line 80 of file OgreMath.h.

## Member Data Documentation

Real Ogre::Radian::mRad`[private]`

Definition at line 43 of file OgreMath.h.

Referenced by operator!=(), operator*(), operator*=(), operator+(), operator+=(), operator-(), operator-=(), operator/(), operator/=(), operator<(), operator<=(), operator=(), operator==(), operator>(), operator>=(), valueAngleUnits(), valueDegrees(), and valueRadians().

The documentation for this class was generated from the following file:

- OgreMath.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Jul 26 11:34:00 2009